Name:           nde-policykit
Summary:        PolicyKit agent for Nde desktop suite
Version:        0.0.1 
Release:        8%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  nde-qtxdg-devel >= 0.0.1
BuildRequires:  nde-lib-devel >= 0.0.1
BuildRequires:  kf5-kwindowsystem-devel >= 5.5
BuildRequires:  desktop-file-utils
BuildRequires:  libstatgrab-devel
Provides:       PolicyKit-authentication-agent = %{version}

%description
%{summary}.

%package l10n
Summary:        Translations for nde-policykit
Requires:       nde-policykit
%description l10n
This package provides translations for the nde-policykit package.

%prep
%setup -q
sed -i 's|=nde-policykit-agent|=/usr/libexec/nde-policykit-agent|g' autostart/nde-policykit-agent.desktop.in

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} \
        -DPOLKIT_AGENT_BINARY_DIR=%{_libexecdir} \
        -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

install -d %{buildroot}/%{_sysconfdir}/xdg/autostart


%find_lang nde-policykit-agent --with-qt

%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_libexecdir}/nde-policykit-agent
%{_sysconfdir}/xdg/autostart/nde-policykit-agent.desktop
%{_datadir}/nde/translations/%{name}-agent
%{_mandir}/man1/nde-policykit*

%files l10n -f nde-policykit-agent.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-policykit-agent

%changelog
* Fri Sep 10 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-8
- 修复关闭窗口卡住问题
- 增加窗口背景遮挡

* Mon Sep 06 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-7
- 修复多次取消鉴权崩溃问题

* Mon Jun 28 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-6
- 增加授权框密码不为空限制
- 修复授权点击两次确认问题
- UI界面优化
- 增加授权框确认时密码错误提示

* Fri Jun 25 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-5
- 代码回退至版本2

* Fri Jun 18 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-4
- 汉化，界面细调，修复回车确认问题

* Fri Jun 04 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-3
- 界面优化

* Wed Dec 2 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-2
- 修复多用户会导致提权失败的情况

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild.

